/**
 * Copyright 2024 cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

import { ApiCountryCode } from "@eshg/employee-portal-api/stiProtection";

export const COUNTRY_CODE_LABELS = {
  [ApiCountryCode.Af]: "Afghanistan",
  [ApiCountryCode.Eg]: "Ägypten",
  [ApiCountryCode.Ax]: "Åland",
  [ApiCountryCode.Al]: "Albanien",
  [ApiCountryCode.Dz]: "Algerien",
  [ApiCountryCode.As]: "Amerikanisch-Samoa",
  [ApiCountryCode.Vi]: "Amerikanische Jungferninseln",
  [ApiCountryCode.Ad]: "Andorra",
  [ApiCountryCode.Ao]: "Angola",
  [ApiCountryCode.Ai]: "Anguilla",
  [ApiCountryCode.Aq]: "Antarktis",
  [ApiCountryCode.Ag]: "Antigua und Barbuda",
  [ApiCountryCode.Gq]: "Äquatorialguinea",
  [ApiCountryCode.Ar]: "Argentinien",
  [ApiCountryCode.Am]: "Armenien",
  [ApiCountryCode.Aw]: "Aruba",
  [ApiCountryCode.Az]: "Aserbaidschan",
  [ApiCountryCode.Et]: "Äthiopien",
  [ApiCountryCode.Au]: "Australien",
  [ApiCountryCode.Bs]: "Bahamas",
  [ApiCountryCode.Bh]: "Bahrain",
  [ApiCountryCode.Bd]: "Bangladesch",
  [ApiCountryCode.Bb]: "Barbados",
  [ApiCountryCode.By]: "Belarus",
  [ApiCountryCode.Be]: "Belgien",
  [ApiCountryCode.Bz]: "Belize",
  [ApiCountryCode.Bj]: "Benin",
  [ApiCountryCode.Bm]: "Bermuda",
  [ApiCountryCode.Bt]: "Bhutan",
  [ApiCountryCode.Bo]: "Bolivien",
  [ApiCountryCode.Bq]: "Bonaire, Saba, Sint Eustatius",
  [ApiCountryCode.Ba]: "Bosnien und Herzegowina",
  [ApiCountryCode.Bw]: "Botswana",
  [ApiCountryCode.Bv]: "Bouvetinsel",
  [ApiCountryCode.Br]: "Brasilien",
  [ApiCountryCode.Vg]: "Britische Jungferninseln",
  [ApiCountryCode.Io]: "Britisches Territorium im Indischen Ozean",
  [ApiCountryCode.Bn]: "Brunei",
  [ApiCountryCode.Bg]: "Bulgarien",
  [ApiCountryCode.Bf]: "Burkina Faso",
  [ApiCountryCode.Bi]: "Burundi",
  [ApiCountryCode.Cl]: "Chile",
  [ApiCountryCode.Cn]: "Volksrepublik China",
  [ApiCountryCode.Ck]: "Cookinseln",
  [ApiCountryCode.Cr]: "Costa Rica",
  [ApiCountryCode.Cw]: "Curaçao",
  [ApiCountryCode.Dk]: "Dänemark",
  [ApiCountryCode.De]: "Deutschland",
  [ApiCountryCode.Dm]: "Dominica",
  [ApiCountryCode.Do]: "Dominikanische Republik",
  [ApiCountryCode.Dj]: "Dschibuti",
  [ApiCountryCode.Ec]: "Ecuador",
  [ApiCountryCode.Ci]: "Elfenbeinküste (Côte d’Ivoire)",
  [ApiCountryCode.Sv]: "El Salvador",
  [ApiCountryCode.Er]: "Eritrea",
  [ApiCountryCode.Ee]: "Estland",
  [ApiCountryCode.Sz]: "Eswatini",
  [ApiCountryCode.Fk]: "Falklandinseln",
  [ApiCountryCode.Fo]: "Färöer",
  [ApiCountryCode.Fj]: "Fidschi",
  [ApiCountryCode.Fi]: "Finnland",
  [ApiCountryCode.Fr]: "Frankreich",
  [ApiCountryCode.Gf]: "Französisch-Guayana",
  [ApiCountryCode.Pf]: "Französisch-Polynesien",
  [ApiCountryCode.Tf]: "Französische Süd- und Antarktisgebiete",
  [ApiCountryCode.Ga]: "Gabun",
  [ApiCountryCode.Gm]: "Gambia",
  [ApiCountryCode.Ge]: "Georgien",
  [ApiCountryCode.Gh]: "Ghana",
  [ApiCountryCode.Gi]: "Gibraltar",
  [ApiCountryCode.Gd]: "Grenada",
  [ApiCountryCode.Gr]: "Griechenland",
  [ApiCountryCode.Gl]: "Grönland",
  [ApiCountryCode.Gp]: "Guadeloupe",
  [ApiCountryCode.Gu]: "Guam",
  [ApiCountryCode.Gt]: "Guatemala",
  [ApiCountryCode.Gg]: "Guernsey (Kanalinsel)",
  [ApiCountryCode.Gn]: "Guinea",
  [ApiCountryCode.Gw]: "Guinea-Bissau",
  [ApiCountryCode.Gy]: "Guyana",
  [ApiCountryCode.Ht]: "Haiti",
  [ApiCountryCode.Hm]: "Australien Heard und McDonaldinseln",
  [ApiCountryCode.Hn]: "Honduras",
  [ApiCountryCode.Hk]: "Hongkong",
  [ApiCountryCode.In]: "Indien",
  [ApiCountryCode.Id]: "Indonesien",
  [ApiCountryCode.Im]: "Isle of Man",
  [ApiCountryCode.Iq]: "Irak",
  [ApiCountryCode.Ir]: "Iran",
  [ApiCountryCode.Ie]: "Irland",
  [ApiCountryCode.Is]: "Island",
  [ApiCountryCode.Il]: "Israel",
  [ApiCountryCode.It]: "Italien",
  [ApiCountryCode.Jm]: "Jamaika",
  [ApiCountryCode.Jp]: "Japan",
  [ApiCountryCode.Ye]: "Jemen",
  [ApiCountryCode.Je]: "Jersey (Kanalinsel)",
  [ApiCountryCode.Jo]: "Jordanien",
  [ApiCountryCode.Ky]: "Cayman Islands (Kaimaninseln)",
  [ApiCountryCode.Kh]: "Kambodscha",
  [ApiCountryCode.Cm]: "Kamerun",
  [ApiCountryCode.Ca]: "Kanada",
  [ApiCountryCode.Cv]: "Kap Verde (Cabo Verde)",
  [ApiCountryCode.Kz]: "Kasachstan",
  [ApiCountryCode.Qa]: "Katar",
  [ApiCountryCode.Ke]: "Kenia",
  [ApiCountryCode.Kg]: "Kirgisistan",
  [ApiCountryCode.Ki]: "Kiribati",
  [ApiCountryCode.Cc]: "Kokosinseln",
  [ApiCountryCode.Co]: "Kolumbien",
  [ApiCountryCode.Km]: "Komoren",
  [ApiCountryCode.Cd]: "Demokratische Republik Kongo",
  [ApiCountryCode.Cg]: "Republik Kongo",
  [ApiCountryCode.Kp]: "Nordkorea",
  [ApiCountryCode.Kr]: "Südkorea",
  [ApiCountryCode.Hr]: "Kroatien",
  [ApiCountryCode.Cu]: "Kuba",
  [ApiCountryCode.Kw]: "Kuwait",
  [ApiCountryCode.La]: "Laos",
  [ApiCountryCode.Ls]: "Lesotho",
  [ApiCountryCode.Lv]: "Lettland",
  [ApiCountryCode.Lb]: "Libanon",
  [ApiCountryCode.Lr]: "Liberia",
  [ApiCountryCode.Ly]: "Libyen",
  [ApiCountryCode.Li]: "Liechtenstein",
  [ApiCountryCode.Lt]: "Litauen",
  [ApiCountryCode.Lu]: "Luxemburg",
  [ApiCountryCode.Mo]: "Macau",
  [ApiCountryCode.Mg]: "Madagaskar",
  [ApiCountryCode.Mw]: "Malawi",
  [ApiCountryCode.My]: "Malaysia",
  [ApiCountryCode.Mv]: "Malediven",
  [ApiCountryCode.Ml]: "Mali",
  [ApiCountryCode.Mt]: "Malta",
  [ApiCountryCode.Ma]: "Marokko",
  [ApiCountryCode.Mh]: "Marshallinseln",
  [ApiCountryCode.Mq]: "Martinique",
  [ApiCountryCode.Mr]: "Mauretanien",
  [ApiCountryCode.Mu]: "Mauritius",
  [ApiCountryCode.Yt]: "Mayotte",
  [ApiCountryCode.Mx]: "Mexiko",
  [ApiCountryCode.Fm]: "Föderierte Staaten von Mikronesien",
  [ApiCountryCode.Md]: "Moldau",
  [ApiCountryCode.Mc]: "Monaco",
  [ApiCountryCode.Mn]: "Mongolei",
  [ApiCountryCode.Me]: "Montenegro",
  [ApiCountryCode.Ms]: "Montserrat",
  [ApiCountryCode.Mz]: "Mosambik",
  [ApiCountryCode.Mm]: "Myanmar",
  [ApiCountryCode.Na]: "Namibia",
  [ApiCountryCode.Nr]: "Nauru",
  [ApiCountryCode.Np]: "Nepal",
  [ApiCountryCode.Nc]: "Neukaledonien",
  [ApiCountryCode.Nz]: "Neuseeland",
  [ApiCountryCode.Ni]: "Nicaragua",
  [ApiCountryCode.Nl]: "Niederlande",
  [ApiCountryCode.Ne]: "Niger",
  [ApiCountryCode.Ng]: "Nigeria",
  [ApiCountryCode.Nu]: "Niue",
  [ApiCountryCode.Mp]: "Nördliche Marianen",
  [ApiCountryCode.Mk]: "Nordmazedonien",
  [ApiCountryCode.Nf]: "Norfolkinsel",
  [ApiCountryCode.No]: "Norwegen",
  [ApiCountryCode.Om]: "Oman",
  [ApiCountryCode.At]: "Österreich",
  [ApiCountryCode.Tl]: "Osttimor (Timor-Leste)",
  [ApiCountryCode.Pk]: "Pakistan",
  [ApiCountryCode.Ps]: "Palästina",
  [ApiCountryCode.Pw]: "Palau",
  [ApiCountryCode.Pa]: "Panama",
  [ApiCountryCode.Pg]: "Papua-Neuguinea",
  [ApiCountryCode.Py]: "Paraguay",
  [ApiCountryCode.Pe]: "Peru",
  [ApiCountryCode.Ph]: "Philippinen",
  [ApiCountryCode.Pn]: "Pitcairninseln",
  [ApiCountryCode.Pl]: "Polen",
  [ApiCountryCode.Pt]: "Portugal",
  [ApiCountryCode.Pr]: "Puerto Rico",
  [ApiCountryCode.Re]: "Réunion",
  [ApiCountryCode.Rw]: "Ruanda",
  [ApiCountryCode.Ro]: "Rumänien",
  [ApiCountryCode.Ru]: "Russland",
  [ApiCountryCode.Sb]: "Salomonen",
  [ApiCountryCode.Bl]: "Saint-Barthélemy",
  [ApiCountryCode.Mf]: "Saint-Martin (französischer Teil)",
  [ApiCountryCode.Zm]: "Sambia",
  [ApiCountryCode.Ws]: "Samoa",
  [ApiCountryCode.Sm]: "San Marino",
  [ApiCountryCode.St]: "São Tomé und Príncipe",
  [ApiCountryCode.Sa]: "Saudi-Arabien",
  [ApiCountryCode.Se]: "Schweden",
  [ApiCountryCode.Ch]: "Schweiz (Confoederatio Helvetica)",
  [ApiCountryCode.Sn]: "Senegal",
  [ApiCountryCode.Rs]: "Serbien",
  [ApiCountryCode.Sc]: "Seychellen",
  [ApiCountryCode.Sl]: "Sierra Leone",
  [ApiCountryCode.Zw]: "Simbabwe",
  [ApiCountryCode.Sg]: "Singapur",
  [ApiCountryCode.Sx]: "Sint Maarten",
  [ApiCountryCode.Sk]: "Slowakei",
  [ApiCountryCode.Si]: "Slowenien",
  [ApiCountryCode.So]: "Somalia",
  [ApiCountryCode.Es]: "Spanien",
  [ApiCountryCode.Lk]: "Sri Lanka",
  [ApiCountryCode.Sh]: "St. Helena, Ascension und Tristan da Cunha",
  [ApiCountryCode.Kn]: "St. Kitts und Nevis",
  [ApiCountryCode.Lc]: "St. Lucia",
  [ApiCountryCode.Pm]: "Saint-Pierre und Miquelon",
  [ApiCountryCode.Vc]: "St. Vincent und die Grenadinen",
  [ApiCountryCode.Za]: "Südafrika",
  [ApiCountryCode.Sd]: "Sudan",
  [ApiCountryCode.Gs]: "Südgeorgien und die Südlichen Sandwichinseln",
  [ApiCountryCode.Ss]: "Südsudan",
  [ApiCountryCode.Sr]: "Suriname",
  [ApiCountryCode.Sj]: "Spitzbergen und Jan Mayen",
  [ApiCountryCode.Sy]: "Syrien",
  [ApiCountryCode.Tj]: "Tadschikistan",
  [ApiCountryCode.Tw]: "Taiwan",
  [ApiCountryCode.Tz]: "Tansania",
  [ApiCountryCode.Th]: "Thailand",
  [ApiCountryCode.Tg]: "Togo",
  [ApiCountryCode.Tk]: "Tokelau",
  [ApiCountryCode.To]: "Tonga",
  [ApiCountryCode.Tt]: "Trinidad und Tobago",
  [ApiCountryCode.Td]: "Tschad",
  [ApiCountryCode.Cz]: "Tschechien",
  [ApiCountryCode.Tn]: "Tunesien",
  [ApiCountryCode.Tr]: "Türkei",
  [ApiCountryCode.Tm]: "Turkmenistan",
  [ApiCountryCode.Tc]: "Turks- und Caicosinseln",
  [ApiCountryCode.Tv]: "Tuvalu",
  [ApiCountryCode.Ug]: "Uganda",
  [ApiCountryCode.Ua]: "Ukraine",
  [ApiCountryCode.Hu]: "Ungarn",
  [ApiCountryCode.Um]:
    "Vereinigte Staaten United States Minor Outlying Islands",
  [ApiCountryCode.Uy]: "Uruguay",
  [ApiCountryCode.Uz]: "Usbekistan",
  [ApiCountryCode.Vu]: "Vanuatu",
  [ApiCountryCode.Va]: "Vatikanstadt",
  [ApiCountryCode.Ve]: "Venezuela",
  [ApiCountryCode.Ae]: "Vereinigte Arabische Emirate",
  [ApiCountryCode.Us]: "Vereinigte Staaten",
  [ApiCountryCode.Gb]: "Vereinigtes Königreich",
  [ApiCountryCode.Vn]: "Vietnam",
  [ApiCountryCode.Wf]: "Wallis und Futuna",
  [ApiCountryCode.Cx]: "Weihnachtsinsel",
  [ApiCountryCode.Eh]: "Westsahara",
  [ApiCountryCode.Cf]: "Zentralafrikanische Republik",
  [ApiCountryCode.Cy]: "Zypern",
} as const satisfies Record<ApiCountryCode, string>;

export const COUNTRY_CODE_OPTIONS = Object.entries(COUNTRY_CODE_LABELS).map(
  ([code, label]) => ({ label, value: code as ApiCountryCode }),
);
